WellbyteWellbyte

GET /v1/weibo/app/fetch_user_timeline

获取用户发布的微博

stable · 2 credits / 次(成功才计)

获取指定用户发布的微博列表,支持分页和多种内容筛选。;uid: 用户ID(必填);page: 页码,从1开始(默认1);filter_type: 筛选类型(默认"all");- all: 全部微博;- original: 原创微博;- likes: 她/他的赞;- video: 视频微博;- pic: 图片微博;- location: 签到足迹;- month: 按时间筛选(需要同时传入month参数);month: 时间筛选参数,格式YYYYMMDD(仅当filter_type=month时使用);微博列表数据,包含微博内容、图片、视频等信息;注意;如果用户设置了隐私保护,可能无法获取微博列表;每页返回数量约为20条微博;使用时间筛选时必须同时指定filter_type=month和month参数

注册即送 500 credits,用自己的 Key 试调。 免费注册

请求

curl -s 'https://api.wellbyte.net/v1/weibo/app/fetch_user_timeline?uid=7648703289&page=1&month=20251010&filter_type=all' \
  -H "Authorization: Bearer dg_live_…"

响应

示例采集于 2026-08-25

data{
code:0
data{
dsl{ 3 items }
items[ 2 items ]
config:"{}"
navInfo:"{}"
moreInfo{ 6 items }
pageData:"{}"
loadedInfo:"{}"
refreshInfo:"{}"
}
meta{
endpoint:"weibo.app.fetch_user_timeline"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

请求历史

打开完整日志

还没有调用记录。先跑通一次,再换成你的数据。

    请求参数

    参数类型位置必填说明示例
    uidstringquery用户ID7648703289
    pageintegerquery页码1
    monthstringquery时间筛选(YYYYMMDD格式)20251010
    filter_typestringquery筛选类型all

    响应字段

    字段字典待补 —— 右侧可执行区可直接看到真实结构。

    错误码

    codeHTTP含义是否计费
    40001400参数缺失或格式错误
    40102401API Key 无效或已吊销
    40201402余额不足,请充值
    40402404目标资源不存在
    42201422质量门槛未通过
    42901429超出速率限制
    50401504上游超时
    50201502上游返回异常

    计费

    成功扣 2 credits;任何失败(含上游 200 但未过质量门槛)扣 0。

    搜索

    搜索端点与文档